Subject: Device probe order (i2c regulator vs. platform device)

From: [email-masked] (Andy Green)
Date: Wed, 24 Mar 2010 12:50:46 +0000

On 03/24/10 11:11, Somebody in the thread at some point said:

Hi -

> Right, this is a really common case. Maybe this callback could be added
> to the regulator framework as well?
>
> On the other hand a more generic solution might be needed, because besides
> the PMU there might be some other dependences between various devices that
> not possible to be ensured in the current framework (I'm thinking of v4l2
> subdevs that link 2 separate devices together, but currently are used only
> with i2c clients).

Right, it's a generic issue with needing to delay other device 
registration until something else has completed probe, not just PMU. 
PMU is just the most common parent.

A callback is needed after probe() returned without error somehow.

-Andy